running anatomist on ubuntu 18.04

Questions about BrainVisa usage and installation

Moderators: riviere, denghien

lmarrakchi
Posts: 6
Joined: Wed Sep 11, 2013 11:09 am

running anatomist on ubuntu 18.04

Postby lmarrakchi » Thu Dec 06, 2018 9:39 am

Hello everybody,

I am trying to run anatomist on Ubuntu 18.04

I tried brainvisa 4.4.0 and brainvisa 4.5.0 and brainvisa 4.6.0

I get a libGL error:
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing

when i tried the version brainvisa 4.6.1 i got the error:
version `ZLIB_1.2.9' not found (required by /usr/lib/x86_64-linux-gnu/libpng16.so.16)

Did anybody manage to run anatomist on ubuntu 18.04 and if yes is there something that I missed to do?

Thank you very much in advance,
Linda

User avatar
riviere
Site Admin
Posts: 1358
Joined: Tue Jan 06, 2004 12:21 pm
Location: CEA NeuroSpin, Saint Aubin, France
Contact:

Re: running anatomist on ubuntu 18.04

Postby riviere » Sun Dec 16, 2018 9:05 pm

Hi Linda,
I haven't heard of you for years, how are you ?
Well, I think this could be related to some 3D drivers using either a more recent libz than the one shipped with brainvisa, or a more recent libstdc++ (or both).
You can try moving them away from the brainvisa distribution (in the lib/ directory), this have worked for some users.
Denis

lmarrakchi
Posts: 6
Joined: Wed Sep 11, 2013 11:09 am

Re: running anatomist on ubuntu 18.04

Postby lmarrakchi » Tue Feb 05, 2019 10:44 am

Thanks for your answer Denis.
I removed libstdc++ from the brainvisa distribution and it worked perfectly.

Thank you soooo much for your help!!!!


Return to “BrainVISA”

Who is online

Users browsing this forum: No registered users and 2 guests